### 6.14 `wcslcat`—concatenate wide-character strings to specified length

Synopsis

         #include <wchar.h>
         size_t wcslcat(wchar_t *dst, const wchar_t *src, size_t siz);

Description
The `wcslcat` function appends wide characters from src to end of the dst wide-character string so that the resultant wide-character string is not more than siz wide characters including the terminating null wide-character code. A terminating null wide character is always added unless siz is 0. Thus, the maximum number of wide characters that can be appended from src is siz - 1. If copying takes place between objects that overlap, the behaviour is undefined.

Returns
Wide-character string length of initial dst plus the wide-character string length of src (does not include terminating null wide-characters). If the return value is greater than or equal to siz, then truncation occurred and not all wide characters from src were appended.

Portability
No supporting OS subroutines are required.